org.apache.ignite.failure

## Class RestartProcessFailureHandler

- java.lang.Object
- - org.apache.ignite.failure.AbstractFailureHandler
  - - org.apache.ignite.failure.RestartProcessFailureHandler

All Implemented Interfaces:
  FailureHandler

    public class RestartProcessFailureHandler
    extends AbstractFailureHandler

This handler could be used only with ignite.(sh|bat) script. Process will be terminated using `Ignition.restart(boolean)` call.

### Constructor Summary

Constructors
Constructor and Description
`RestartProcessFailureHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `handle(Ignite ignite, FailureContext failureCtx)` Actual failure handling.
`String` `toString()`

### Methods inherited from class org.apache.ignite.failure.AbstractFailureHandler

`getIgnoredFailureTypes, onFailure, setIgnoredFailureTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RestartProcessFailureHandler

    public RestartProcessFailureHandler()

### Method Detail

#### handle

    protected boolean handle(Ignite ignite,
                             FailureContext failureCtx)

Actual failure handling. This method is not called for ignored failure types.

Specified by:
  `handle` in class `AbstractFailureHandler`
See Also:
  `AbstractFailureHandler.setIgnoredFailureTypes(Set).`, `FailureHandler.onFailure(Ignite, FailureContext).`

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractFailureHandler`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018